Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data.event
Class TreeListenerAdapter

    java.lang.Object
      com.gwtext.client.data.event.TreeListenerAdapter

All Implemented Interfaces:
  TreeListener

    public class TreeListenerAdapter

extends java.lang.Object
implements TreeListener

Constructor Summary
`TreeListenerAdapter()`

Method Summary
`boolean` | `doBeforeAppend(Tree tree, Node parent, Node node)` Fires before a new child is appended to a node in this tree, return false to cancel the append.
`boolean` | `doBeforeInsert(Tree tree, Node parent, Node node, Node refNode)` Fires before a new child is inserted in a node in this tree, return false to cancel the insert.
`boolean` | `doBeforeMove(Tree tree, Node node, Node oldParent, Node newParent, int index)` Fires before a node is moved to a new location in the tree.
`boolean` | `doBeforeRemove(Tree tree, Node parent, Node node)` Fires before a child is removed from a node in this tree, return false to cancel the remove.
`void` | `onAppend(Tree tree, Node parent, Node node, int index)` Fires when a new child node is appended to a node in this tree.
`void` | `onInsert(Tree tree, Node parent, Node node, Node refNode)` Fires when a new child node is inserted in a node in this tree.
`void` | `onMove(Tree tree, Node node, Node oldParent, Node newParent, int index)` Fires when a node is moved to a new location in the tree.
`void` | `onRemove(Tree tree, Node parent, Node node)` Fires when a child node is removed from a node in this tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeListenerAdapter

    public TreeListenerAdapter()

Method Detail

### onAppend

    public void onAppend(Tree tree,
                         Node parent,
                         Node node,
                         int index)

  Description copied from interface: `TreeListener`
  Fires when a new child node is appended to a node in this tree.

  Specified by:
    `onAppend` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the newly appended node
    `index` - the index of the newly appended node

### doBeforeAppend

    public boolean doBeforeAppend(Tree tree,
                                  Node parent,
                                  Node node)

  Description copied from interface: `TreeListener`
  Fires before a new child is appended to a node in this tree, return false to cancel the append.

  Specified by:
    `doBeforeAppend` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the child node to be appended
  Returns:
    false to cancel the append

### doBeforeInsert

    public boolean doBeforeInsert(Tree tree,
                                  Node parent,
                                  Node node,
                                  Node refNode)

  Description copied from interface: `TreeListener`
  Fires before a new child is inserted in a node in this tree, return false to cancel the insert.

  Specified by:
    `doBeforeInsert` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the child node to be inserted
    `refNode` - the child node the node is being inserted before
  Returns:
    false to cancel the insert

### doBeforeMove

    public boolean doBeforeMove(Tree tree,
                                Node node,
                                Node oldParent,
                                Node newParent,
                                int index)

  Description copied from interface: `TreeListener`
  Fires before a node is moved to a new location in the tree. Return false to cancel the move.

  Specified by:
    `doBeforeMove` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `node` - the node being moved
    `oldParent` - the parent of the node
    `newParent` - the new parent the node is moving to
    `index` - the index it is being moved to
  Returns:
    false to cancel the move

### doBeforeRemove

    public boolean doBeforeRemove(Tree tree,
                                  Node parent,
                                  Node node)

  Description copied from interface: `TreeListener`
  Fires before a child is removed from a node in this tree, return false to cancel the remove.

  Specified by:
    `doBeforeRemove` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the child node to be removed
  Returns:
    false to cancel the remove

### onInsert

    public void onInsert(Tree tree,
                         Node parent,
                         Node node,
                         Node refNode)

  Description copied from interface: `TreeListener`
  Fires when a new child node is inserted in a node in this tree.

  Specified by:
    `onInsert` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the child node inserted
    `refNode` - the child node the node was inserted before

### onMove

    public void onMove(Tree tree,
                       Node node,
                       Node oldParent,
                       Node newParent,
                       int index)

  Description copied from interface: `TreeListener`
  Fires when a node is moved to a new location in the tree.

  Specified by:
    `onMove` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `node` - the node moved
    `oldParent` - the old parent of this node
    `newParent` - the new parent of this node
    `index` - the index it was moved to

### onRemove

    public void onRemove(Tree tree,
                         Node parent,
                         Node node)

  Description copied from interface: `TreeListener`
  Fires when a child node is removed from a node in this tree.

  Specified by:
    `onRemove` in interface `TreeListener`
  Parameters:
    `tree` - the owner tree
    `parent` - the parent node
    `node` - the child node removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD